<div *ngIf="isLoading" style="text-align: center;">
    <app-loading-spinner></app-loading-spinner>
</div>

<div *ngIf="!isLoading">
    <div [hidden]="!found">
        <mat-grid-list cols="2" rowHeight="2:1" gutterSize="5px">
            <mat-grid-tile>
                <mat-list>
                    <mat-list-item>
                        <b>ID:</b>  {{ newArray?.id }}
                    </mat-list-item>
                    <mat-divider></mat-divider>
                    <mat-list-item>
                        <b>Name:</b>  {{ newArray?.name }} 
                    </mat-list-item>
                    <mat-divider></mat-divider>
                    <mat-list-item>
                        <b>Price:</b>  {{ newArray?.price }}
                    </mat-list-item>
                    <mat-divider></mat-divider>
                    <mat-list-item>
                        <b>Description:</b> {{ newArray?.description }}
                    </mat-list-item>
                    <mat-divider></mat-divider>
                   
                </mat-list>
            </mat-grid-tile>
            <mat-grid-tile *ngIf="newArray?.imageUrl">
                    <img src="{{ newArray?.imageUrl }}" alt="image" >
            </mat-grid-tile>
            
          </mat-grid-list>
        
    </div>
    
    <div [hidden]="found">
        <h2>Sorry, Product not found</h2>
    </div>
</div>
